Bug 520657 - v7-15: Error when running "v7 submit" to create a test results rpm package on RHEL4
Summary: v7-15: Error when running "v7 submit" to create a test results rpm package on...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)
Version: 1.0
Hardware: All
OS: Linux
low
high
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact: Lawrence Lim
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-01 16:30 UTC by Garry Wong
Modified: 2014-03-26 01:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-14 13:29:05 UTC


Attachments (Terms of Use)
test results (2.15 MB, application/octet-stream)
2009-09-01 16:33 UTC, Garry Wong
no flags Details
screenshot file (215.71 KB, image/x-png)
2009-09-01 19:31 UTC, Garry Wong
no flags Details
"v7 submit --debug low" log (11.09 KB, text/plain)
2009-09-02 14:46 UTC, Garry Wong
no flags Details
rundocument.py patch provides necessary unicode->str cast. (607 bytes, patch)
2009-09-11 17:10 UTC, Greg Nichols
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1498 normal SHIPPED_LIVE v7 bug fix update 2009-10-14 13:28:55 UTC

Description Garry Wong 2009-09-01 16:30:44 UTC
Description of problem: Error when running "v7 submit" to create a test results rpm package on RHEL4 x86 and x64


Version-Release number of selected component (if applicable):

v7-15

How reproducible:

Always

Steps to Reproduce:
1. Install v7 test kit
2. v7 plan to create test plan
3. v7 run --test xxxx ( or v7 certify --server x.x.x.x) to run the test
4. v7 submit to create test results package
5. Error message:

   Error:
   'unicode' object has no attribute 'decode'
  
Actual results: Error

Expected results:No error


Additional info: See attached screen shot

Comment 1 Garry Wong 2009-09-01 16:33:34 UTC
Created attachment 359419 [details]
test results

Comment 2 Greg Nichols 2009-09-01 19:11:50 UTC
Could you attach the screenshot you mentioned?

Comment 3 Garry Wong 2009-09-01 19:31:03 UTC
Created attachment 359441 [details]
screenshot file

Screenshot file

Comment 7 Greg Nichols 2009-09-02 02:11:38 UTC
Would it be possible to run "v7 submit --debug low" and log all the output to a file?

- Thanks!

Comment 8 Garry Wong 2009-09-02 14:46:52 UTC
Created attachment 359539 [details]
"v7 submit --debug low" log

Comment 10 Greg Nichols 2009-09-11 17:10:23 UTC
Created attachment 360708 [details]
rundocument.py patch provides necessary unicode->str cast.

Comment 12 Garry Wong 2009-09-11 20:49:57 UTC
Hi Greg,

Would you please provide me the instruction to apply rundocument.py patch ?

Thanks,

Comment 13 Garry Wong 2009-09-11 20:53:42 UTC
I guess just type "rundocument.py", right ?

Thanks,

Comment 14 Greg Nichols 2009-09-15 16:00:34 UTC
To apply the patch, use the patch command:

> patch rundocument.py rundocument.patch

Comment 15 Garry Wong 2009-09-15 19:08:19 UTC
The rundocument.patch works.

Thanks,

Comment 18 zhanghaiyan 2009-09-25 09:03:03 UTC
Verified PASS with v7-1.0-18.el4.noarch on RHEL4.8-AS-x86_64, i386, ia64

Test steps:
1. # v7 clean
2. # v7 plan --server ****
3. # v7 run --test profiler
4. # v7 submit
loaded results /var/v7/results.xml
writing results to /var/log/v7/v7-HP-ProLiant_DL360_G5-Nahant_Update_84_x86_64_results
building results rpm...
Moving the results rpm to data directory /var/v7
Warning: not removing old logs
done.

Comment 22 errata-xmlrpc 2009-10-14 13:29:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1498.html


Note You need to log in before you can comment on or make changes to this bug.